karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christoph Gritschenberger <christoph.gritschenber...@gmail.com>
Subject Re: javax.annotation 1.2.0 and KARAF-2660
Date Wed, 17 Feb 2016 06:16:35 GMT
Nope. just missed it, I guess

regards,
Christoph

On 2016-02-12 09:17, jochenw wrote:
> Hi,
> 
> we just stumbled over that topic again. In Karaf 4.0.x, javax.annotation
> version in jre.properties are set to 1.0 - fine. However, in the default
> config.properties, the javax.annotation packages are added to
> org.osgi.framework.system.packages.extra with version 1.2. If a bundle wants
> to use the JEE version, e.g. from javax.annotation-api, it still finds the
> standard versions, leading e.g. to 
> 
> Caused by: java.lang.ClassNotFoundException: javax.annotation.Priority
> 
> When switching the versions in config.properties to 1.0, it works.
> 
> Is there a reason to have the 1.2 versions in the
> org.osgi.framework.system.packages.extra, differing from what is used in
> jre.properties?
> 
> Regards,
> Jochen
> 
> 
> 
> --
> View this message in context: http://karaf.922171.n3.nabble.com/javax-annotation-1-2-0-and-KARAF-2660-tp4036056p4045303.html
> Sent from the Karaf - Dev mailing list archive at Nabble.com.
> 

Mime
View raw message